# -*- encoding: utf-8 -*-
# stub: gitlab-swat 0.1.3 ruby lib

Gem::Specification.new do |s|
  s.name = "gitlab-swat".freeze
  s.version = "0.1.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Pablo Carranza".freeze]
  s.date = "2017-04-01"
  s.description = "A Successful Deployment Ends Peacefully With No Bullets Fired.\nIf That\u2019s Simply Not Possible, SWAT Uses Special Weapons and Tactics to Keep the Public Safe\n\n\nGitLab-Swat allows admins to quickly deploy scripts that can be remotely executed through a rails console\n\nEnabling fast action by using an external git repository as the scripts source, but keeping safety high by\nenforcing a prepare-pre check-execute model that allows execution break at any stage if things are not going\nas expected\n".freeze
  s.homepage = "https://gitlab.com/gitlab-cog/swat".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "ChatOps Cog Bundle that enables admins to remotely run predefined scripts in a rails console".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<cog-rb>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.42"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.13"])
  else
    s.add_dependency(%q<cog-rb>.freeze, ["~> 0.4"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.42"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.13"])
  end
end
